# List Customers Retrieves a list of Customers. A filter can be applied (see the request sample). You can choose fields to be returned in the response by employing the resultFields or valueFields filter: resultFields: returns key-value pairs as objects. This is the more friendly response compared to valueFields but the server fetches all fields from the database in the backend which might result in a slower performance. See the listCustomersResponseExample_resultFields response example. valueFields: returns just an array of values. Use this option if a better performance is required. See the listCustomersResponseExample_valueFields response example. Endpoint: POST /customermanager.fetchformulafilteredcustomers Security: basic, X-PriceFx-jwt ## Request fields (application/json): - `endRow` (number) The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results. - `oldValues` (any) - `operationType` (string) - `startRow` (number) The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results. - `textMatchStyle` (string) - `data` (object,null) - `data._constructor` (string) - `data.operator` (string) - `data.criteria` (array) - `data.criteria.fieldName` (string) - `data.criteria.operator` (string) Specify an operator of the filter criteria. Enum: "equals", "iEquals", "notEqual", "iNotEqual", "isNull", "notNull", "contains", "iContains", "containsPattern", "iContainsPattern", "notContains", "iNotContains", "startsWith", "iStartsWith", "notStartsWith", "iNotStartsWith", "endsWith", "iEndsWith", "notEndsWith", "iNotEndsWith", "iBetween", "iBetweenInclusive", "inSet", "notInSet" - `data.criteria.value` (string) ## Response 200 fields (application/json): - `response` (object)